Edit Customer
curl --request PATCH \
--url https://api.example.com/merchant/customer/editimport requests
url = "https://api.example.com/merchant/customer/edit"
response = requests.patch(url)
print(response.text)const options = {method: 'PATCH'};
fetch('https://api.example.com/merchant/customer/edit', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": false,
"error": {
"status": 404,
"code": "CUSTOMER_NOT_FOUND",
"message": "Customer not found"
},
"data": null
}
Customers
Edit Customer
Edit a customer
PATCH
/
merchant
/
customer
/
edit
Edit Customer
Edit customer information.
string
required
Customer ID to edit
string
Updated email address
object
Updated customer metadata
boolean
Indicates if the request was successful
object
Updated customer data
Example Request
curl -X PATCH https://api.transaction.gg/merchant/customer/edit \
-H "Authorization: Bearer jwt_token" \
-H "Content-Type: application/json" \
-d '{
"customerId": "cus_V6n6SN2KnsIFCuQU",
"email": "newemail@example.com",
"metadata": {
"name": "Jane Doe"
}
}'
Example Response
{
"success": true,
"data": {
"id": "cus_V6n6SN2KnsIFCuQU",
"email": "newemail@example.com",
"metadata": {
"name": "Jane Doe"
},
"updatedAt": "2024-01-01T00:00:00Z"
}
}
Error Responses
{
"success": false,
"error": {
"status": 404,
"code": "CUSTOMER_NOT_FOUND",
"message": "Customer not found"
},
"data": null
}
⌘I